Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.escape

# Class FBEscapedCallParser

java.lang.Object
org.firebirdsql.jdbc.escape.FBEscapedCallParser

@InternalApi public final class FBEscapedCallParser extends Object
Parser for escaped procedure call.

This class is not thread-safe.

## Constructor Summary

Constructors
Constructor
Description
`FBEscapedCallParser()`

## Method Summary

Modifier and Type
Method
Description
`FBProcedureCall`
`parseCall(String sql)`
Converts escaped parts in `sql` to native representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FBEscapedCallParser

public FBEscapedCallParser()

## Method Details

### parseCall

public FBProcedureCall parseCall(String sql) throws SQLException
Converts escaped parts in `sql` to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`
Throws:
  `SQLException`